#!/bin/bash

##    Skryt konfiguracyjny dla polskiego remiksu Ubuntu 9.04 Jurny Jarząbek
##    Copyright (C) 2009  Epul, ubuntu.pl team
##
##    This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	repo() {
sudo cp -p /etc/apt/sources.list /etc/apt/sources.list_backup
echo -e "deb http://pl.archive.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse\n""deb-src http://pl.archive.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse\n""deb http://pl.archive.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse\n""deb-src http://pl.archive.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse\n""deb http://pl.archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse\n""deb-src http://pl.archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse\n""deb http://archive.canonical.com/ubuntu jaunty partner\n""deb-src http://archive.canonical.com/ubuntu jaunty partner\n""deb http://security.ubuntu.com/ubuntu jaunty-security main restricted universe multiverse\n""deb-src http://security.ubuntu.com/ubuntu jaunty-security main restricted universe multiverse\n""deb http://packages.medibuntu.org/ jaunty free non-free\n""deb-src http://packages.medibuntu.org/ jaunty free non-free" | sudo tee /etc/apt/sources.list
wget -q http://packages.medibuntu.org/medibuntu-key.gpg -O- | sudo apt-key add -
sudo apt-get update
	}

	aktu() {
sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y dist-upgrade
	}

	jezy() {
/usr/bin/gnome-language-selector
sudo apt-get -y install manpages-pl
	}

	ster() {
/usr/bin/jockey-gtk
	}

	ekra() {
gnome-display-properties
	}

	mult() {
A1=i686
A2=x86_64
if [ "$A1" = `uname -m` ]; then
sudo apt-get -y install gstreamer0.10-ffmpeg gstreamer0.10-pitfdll gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse libdvdnav4 libdvdread4 libdvdcss2 libxine1-ffmpeg w32codecs flashplugin-nonfree sun-java6-plugin rar unrar p7zip-full p7zip-rar unace msttcorefonts
elif [ "$A2" = `uname -m` ]; then
sudo apt-get -y install gstreamer0.10-ffmpeg gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse libdvdnav4 libdvdread4 libdvdcss2 libxine1-ffmpeg w64codecs sun-java6-plugin rar unrar p7zip-full p7zip-rar unace msttcorefonts
sudo apt-get -y remove flashplugin-nonfree icedtea6-plugin
cd /tmp
wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz
tar xzf libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz
sudo mv libflashplayer.so /usr/lib/mozilla/plugins
rm libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz
else
echo -e "\033[0;31mNie rozpoznano architektury systemu\033[0m\n"
sleep 1
fi
	}

	tote() {
gconftool-2 -t bool -s /apps/totem/autoload_subtitles true
gconftool-2 -t str -s /apps/totem/subtitle_encoding 'WINDOWS-1250'
	}

	mpla() {
sudo apt-get -y install mplayer
mkdir ~/.mplayer
mv ~/.mplayer/gui.conf ~/.mplayer/gui.conf_backup
cp -p ~/.mplayer/config ~/.mplayer/config_backup
echo -e "# Write your default config options here!\n""\n""font = /usr/share/fonts/truetype/freefont/FreeSans.ttf\n""subcp = cp1250" > ~/.mplayer/config
	}

	syna() {
gksu synaptic
	}

	dont() {
sudo apt-get install dontzap
sudo dontzap -d
echo -e "\033[0;34mWyloguj i zaloguj się ponownie, aby nowe ustawienia zaczęły działać\033[0m\n"
sleep 2
	}

	usun() {
sudo apt-get autoremove && sudo apt-get clean && sudo apt-get autoclean
	}

	napr() {
sudo apt-get install -f && sudo dpkg --configure -a
	}

	str1() {
firefox http://forum.ubuntu.pl/
	}

	str2() {
firefox http://ubuntu.pl/
	}

	hasl() {
echo -e "\033[0;34mJeśli zostaniesz poproszony/a o wpisanie hasła, to podaj, które ustaliłeś/aś podczas instalacji systemu. Dla bezpieczeństwa nie będziesz widział(a) żadnych znaków, gwiazdek podczas wpisywania hasła\033[0m\n"
sleep 3
	}

	zrob() {
echo -e "\033[0;34mZrobione\033[0m\n"
sleep 1
	}

main_loop=true
	while [ "$main_loop" = true ] ; do

echo -e "\033[1mKonfigurowanie Ubuntu 9.04:\033[0m"
echo "1. Skonfiguruj automatycznie zalecane repozytorium"
echo "2. Zainstaluj najnowsze aktualizacje"
echo "3. Ustaw język systemu"
echo "4. Zainstaluj sterowniki własnościowe (m.in. NVIDIA, AMD/ATI)"
echo "5. Ustaw rozdzielczość oraz częstotliwość odświeżania ekranu"
echo "6. Zainstaluj kodeki, Flasha, Javę, RAR-a, 7-Zipa, MS fonty..."
echo "7. Włącz oraz ustaw polskie napisy w Totemie"
echo "8. Zainstaluj odtwarzacz MPlayer oraz ustaw polskie napisy"
echo "9. Menedżer pakietów Synaptic"
echo "10. Włącz kombinację klawiszy Alt+Ctrl+Backspace do resetowania serwera X"
echo "11. Napraw uszkodzone pakiety"
echo "12. Usuń niepotrzebne pakiety i pobrane archiwa"
echo "13. Odwiedź nasze forum jeśli masz problemy"
echo "14. Odwiedź naszą stronę internetową"
echo "15. Zamknij"
echo -e "\033[1;37;42mAutorzy: Epul, ubuntu.pl team | http://ubuntu.pl/ | Wersja: 0.2\033[0m"
echo -n "Wybierz opcję: "

read option
	echo ""
		case "$option" in

	1 )
hasl
repo
zrob
main_loop=true
	;;

	2 )
hasl
aktu
zrob
main_loop=true
	;;

	3 )
jezy
zrob
main_loop=true
	;;

	4 )
ster
zrob
main_loop=true
	;;

	5 )
ekra
zrob
main_loop=true
	;;

	6 )
hasl
mult
zrob
main_loop=true
	;;

	7 )
tote
zrob
main_loop=true
	;;

	8 )
hasl
mpla
zrob
main_loop=true
	;;

	9 )
syna
zrob
main_loop=true
	;;

	10 )
hasl
dont
zrob
main_loop=true
	;;

	11 )
hasl
usun
zrob
main_loop=true
	;;

	12 )
hasl
napr
zrob
main_loop=true
	;;

	13 )
str1
main_loop=true
	;;

	14 )
str2
main_loop=true
	;;

	15 )
exit 0
	;;

	* )
main_loop=true
echo -e "\033[0;31mNiepoprawne polecenie\033[0m\n"
sleep 1
	;;

	esac
done
